From ea53626a5f51ca5082fcd0cd64ccf6e97fbdde63 Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: May 17 2018 19:35:16 +0000
Subject: [PATCH 4/42] Making all fields sortable


Co-authored-by: Matheus Bernardo <matheussber@aluno.unb.br>
Co-authored-by: Marcelo Augusto <mekmay@gmail.com>

---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index a310cc6..1c669c3 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -47,9 +47,9 @@ export default {
   data () {
     return {
       fields: [
-        { key: 'name', label: 'Package Name', sortable: false },
-        { key: 'version', label: 'Last Version', sortable: false },
-        { key: 'previous', label: 'Previous Version', sortable: false },
+        { key: 'name', label: 'Package Name', sortable: true },
+        { key: 'version', label: 'Last Version', sortable: true },
+        { key: 'previous', label: 'Previous Version', sortable: true },
         { key: 'ranking', label: 'Ranking', sortable: true }
       ],
       updateData: null,
@@ -71,6 +71,7 @@ export default {
       getterNames.allPackages
     ]),
     formatPackages () {
+      this.allPackages.map(p => console.log(p.name))
       return this.allPackages.map(p => {
         let previous = this.createPrevious(p)
         return {
@@ -89,6 +90,7 @@ export default {
       actionTypes.FETCH_PACKAGES
     ]),
     showPackage (item, index) {
+      console.log('Entrou aqui')
       let p = this.allPackages[index]
       this.$router.push({
         name: 'analysis',

